---
title: Card art
slug: reference/card-art
createdAt: 2026-11-02T08:47:37.307Z
---

{
  "id": "EOOraHU1SKihb1Mp4r-36",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://pci-tokenization-sandbox.checkouttools.com/v1/tokenization/card-art",
    "servers": [
      {
        "url": "https://pci-tokenization-sandbox.checkouttools.com/v1/tokenization/card-art"
      }
    ],
    "name": "Card art",
    "description": "<p>Returns the issuer card art for the network token linked to a Forter token. Look up by <code>token</code>, or by <code>tokenAliasKey</code> + <code>tokenAliasValue</code> (not both). Returns 404 when the token has no network token or the issuer provides no card art.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "token",
          "type": "string",
          "example": "ftr1d8a56cfa6b3745a39e4a42d5ab1048c8",
          "description": ""
        },
        {
          "kind": "optional",
          "name": "tokenAliasKey",
          "type": "string",
          "example": "forter",
          "examples": [
            {
              "label": "forter",
              "value": "forter"
            },
            {
              "label": "zooz",
              "value": "zooz"
            }
          ],
          "description": ""
        },
        {
          "kind": "optional",
          "name": "tokenAliasValue",
          "type": "string",
          "example": "ftr1d8a56cfa6b3745a39e4a42d5ab1048c8",
          "description": ""
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "http",
          "name": "http",
          "kind": "optional",
          "type": "http",
          "description": "<p>site_id</p><div></div><p></p>",
          "scheme": "basic"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Default Response",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "CardArtwork",
            "schema": [
              {
                "name": "mimeType",
                "kind": "required",
                "type": "string",
                "description": "<p>MIME type of the image. <code>application/octet-stream</code> when the issuer does not provide one</p>",
                "example": "image/png",
                "examples": [
                  {
                    "value": "image/png"
                  }
                ]
              },
              {
                "name": "encodedData",
                "kind": "required",
                "type": "string",
                "description": "<p>Base64-encoded image bytes</p>",
                "example": "iVBORw0KGgoAAAANSUhEUgAA...",
                "examples": [
                  {
                    "value": "iVBORw0KGgoAAAANSUhEUgAA..."
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/CardArtwork",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Default Response",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "TokenizationErrorResponse",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/TokenizationErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "Network token or card art not found",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "TokenizationErrorResponse",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/TokenizationErrorResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "example-0-curl",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://pci-tokenization-sandbox.checkouttools.com/v1/tokenization/card-art \\\n     --header 'accept: application/json'"
        },
        {
          "id": "example-1-javascript",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://pci-tokenization-sandbox.checkouttools.com/v1/tokenization/card-art\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "example-2-ruby",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://pci-tokenization-sandbox.checkouttools.com/v1/tokenization/card-art\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "example-3-python",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://pci-tokenization-sandbox.checkouttools.com/v1/tokenization/card-art\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "example-0-curl"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Default Response\n{\n  \"mimeType\": \"image/png\",\n  \"encodedData\": \"iVBORw0KGgoAAAANSUhEUgAA...\"\n}"
        },
        {
          "id": "response-1-400",
          "language": "400",
          "code": "// Default Response\n{\n  \"message\": \"\"\n}"
        },
        {
          "id": "response-2-404",
          "language": "404",
          "code": "// Network token or card art not found\n{\n  \"message\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}